<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
//  read vars defined in products-view.php: 
//	$wiz_products_view  	=> 	"grid" / "table" / "lines"
//	$wiz_items_in_page		=>	items in page 
//	$wiz_items_in_line		=>  gallery (grid) view: items in line 
// 	$wiz_display_type		=>  current display as detected by plugin: "desktop" / "mobile" / "tablet"

/*
 * Views types for CSS classes
 * */
$mobile = (!empty(wizshop_get_view_settings('mobile')['gallery_line'])) ? 12 / wizshop_get_view_settings('mobile')['gallery_line'] : 12;
$tablet = (!empty(wizshop_get_view_settings('tablet')['gallery_line'])) ? 12 / wizshop_get_view_settings('tablet')['gallery_line'] : 4;
$desktop = (!empty(wizshop_get_view_settings('desktop')['gallery_line'])) ? 12 / wizshop_get_view_settings('desktop')['gallery_line'] : 3;

?>

<?php if ($wiz_products_view == 'grid'): ?>
<div data-wizshop data-wiz-grid="<?php echo esc_attr(wizshop_get_id_var())?>" data-wiz-filter="<?php echo esc_attr(wizshop_get_filter_var())?>" class="container-fluid products-grid">
    <input data-wiz-items-in-page type="hidden" value="<?php echo $wiz_items_in_page; ?>">
    <div data-wiz-container class="row">
        <!-- Each item -->
        <div data-wiz-item class="col-xl-<?= $desktop ?> col-lg-<?= $desktop ?> col-md-<?= $tablet ?> col-sm-<?= $mobile ?> col-<?= $mobile ?> mb-4">
            <div data-wiz-item-data class="each-product text-center">
			<script type="text/html">
                <!-- Product image -->
                <img src="<?php esc_url(wizshop_image_name_link("{{ImageFile}}","wiz_grid"))?>" alt="{{Name}}" class="w-100">
                <!-- Product title -->
                <h4 class="p-0 m-0 product-title text-center"><a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}">{{Title}}</a></h4>
                <!-- Discount label -->
                <label class="v_iSale {{dispSale}} m-0 pt-2 discount-label"></label>
				<del data-wiz-item-full-price>{{FullPrice}}</del>
                 <strong data-wiz-item-price class="price-color">{{FormatedPrice}}</strong>
				  <div class="hide{{PreVat}} grid-vat">המחיר אינו כולל מע"מ</div>
				<div data-wiz-last-price>
					<a href="javascript:void(0);" data-wiz-show-last-price class="td-u">מחיר אחרון</a>
					<div data-wiz-last-price-view class="last-price-box-wrapper w-100 ">
					<div class="last-price-box b-1 p-2">
						<div data-wiz-last-price-data>
							<div name="{{lp-name}}" class="bb text-right  {{lp-name}} {{lp-class}} hide{{GeneralDiscountPrc}} ">
								<span class="last-price-title dsp-inlineblock hide{{GeneralDiscountPrc}}">{{lp-title}}</span> 
								{{lp-value}}
							</div>
						</div>
						<div data-wiz-item-report>
							<a href='<?php echo esc_url(wizshop_get_item_report_url())."?". wizshop_id_qvar. "={{Link}}"?>' class="td-u">לעמוד תנועות פריט</a>							
						</div>
						<a href="javascript:void(0);" data-wiz-close-last-price class="close-icon" >x</a>
					</div>
					</div>
				</div>
                <span class="grid-{{Status}}  pt-1 pb-3">
				<a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}" class="btn primary grid-matrix{{MatrixType}} hesh{{Status}} w-100 mb-1 p-0 py-2">בחירת אפשרויות</a>
                    <a href="javascript:void(0);" data-wiz-item-to-cart="{{urlItemKey}}" data-wiz-packs-ctrl="{{PacksId}}" data-wiz-quant-ctrl="{{QuantId}}"
                       data-wiz-check-quant="1" data-wiz-item-row data-wiz-item-col class="btn primary {{dispCart}} to-cart w-100 mb-1">
                        הוספה לסל
                    </a>
					
                    <a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}" class="btn  primary-outline grid-more-info w-100 mb-1">מידע נוסף</a>
					<?php if(1 == wizshop_get_view_settings()['quick_view']): ?>
					<a href="javascript:void(0);" data-wiz-view-item='{{urlItemKey}}' class="btn primary show quick-view w-100 ">מבט מהיר</a>
					<?php endif; ?>
                </span>
				
				
				
				<a href="<?php echo esc_url(wizshop_get_cart_url())?>" data-wiz-view-list='{{urlItemKey}}' class="v_ihide btn">הצגת סל</a>
            </script>
            </div>
        </div>
    </div>
</div>

<?php elseif ($wiz_products_view == 'table'): ?>
<div data-wizshop data-wiz-grid="<?php echo esc_attr(wizshop_get_id_var())?>" data-wiz-filter="<?php echo esc_attr(wizshop_get_filter_var())?>" class="container-fluid products-table">
    <input data-wiz-items-in-page type="hidden" value="<?php echo $wiz_items_in_page; ?>">
    <section data-wiz-container class="container-fluid">
            <!-- Each item -->
            <article data-wiz-item class="mb-1">
                <div data-wiz-item-data class="row align-items-center">
				<script type="text/html">
                    <!-- Picture -->
                    <aside class="col-2 col-md-1 mr-md-0 p-md-0 pr-3 px-0 mt-2 mt-md-0">
                        <img src="<?php esc_url(wizshop_image_name_link("{{ImageFile}}","wiz_grid"))?>" alt="{{Name}}">
                        <!-- Discount label -->
                        <label class="v_iSale {{dispSale}} m-0  discount-label discount-label-list hidden-xs"></label>
                    </aside>

                    <!-- Title -->
                    <aside class="col-10 col-md-3 mt-2 mt-md-0">
                        <h4 class="product-title"><a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}">{{Name}}</a></h4>
						<!-- Discount label -->
                        <label class="v_iSale {{dispSale}} m-0 px-3 discount-label discount-label-list visible-xs"></label>
                    </aside>

                    <!-- Amount and Rif. ID -->
                    <aside class="col-12 col-md-2 row m-0 mt-2 mt-md-0">
                        <!-- Ref. ID -->
                        <p data-wiz-kit-item class="m-0 p-0 col-6 col-md-12">מק"ט: {{Key}}</p>
                        <!-- Amount -->
                        <p data-wiz-item-balance class="m-0 p-0 col-6 col-md-12">כמות: {{Balance}}</p>
                    </aside>

                    <!-- Price -->
                    <aside class="col-12 col-md-1 px-0 px-md-0 m-0 row mt-2 mt-md-0">
                        <!-- PreDiscount Price -->
						<div class="col-6 col-md-12 px-md-0"><del data-wiz-item-full-price>{{FullPrice}}</del></div>
                        <!-- Final price -->
						<div class="col-6 col-md-12 px-md-0">
							<strong data-wiz-item-price class="price-color">{{FormatedPrice}}</strong>
							<div class="hide{{PreVat}} grid-vat">המחיר אינו כולל מע"מ</div>
						</div>
						                        
                    </aside>

                    <!-- Matrix -->
                    <aside class="col-12 col-md-1 ">
                        <div data-wiz-matrix class="row mt-2 mt-md-0">
							<div class="col-6 col-md-12 px-md-0">
								<select data-wiz-dim-1 class="product-demselect mb-1 mnw-100 ">
									<option data-wiz-no-item>{{mtxTitle1}}</option>
									<option data-wiz-mtx-item wiz_selection>{{mtxName}}</option>
								</select>
							</div>
							<div class="col-6 col-md-12 px-md-0">
								<select data-wiz-dim-2 class="product-demselect mnw-100">
									<option data-wiz-no-item>{{mtxTitle2}}</option>
									<option data-wiz-mtx-item wiz_selection>{{mtxName}}</option>
								</select>
							</div>
                        </div>
                    </aside>

                    <!-- Units -->
                    <aside class="col-12 col-md-2 m-0 px-0 row mt-2 mt-md-0 text-center">
                        <!-- By parts -->
						<div class="col-6 col-md-12 {{dispUnits}} Packs{{dispPacks}} {{dispCart}}">
							<label class="m-0 p-0">יחידות:</label>
							<input type="number" wiz_QuantId="{{QuantId}}" data-wiz-packs-only="{{OnlyPacks}}" value="1" class="dsp-inlineblock price-input">
						</div>
                        <!-- By packages -->
                        <div class="{{dispPacks}} col-6 col-md-12 {{dispCart}}">
                            <label class="m-0 p-0">אריזות של {{QntInPack}}:</label>
                            <input type="number" size="2" wiz_PacksId="{{PacksId}}" data-wiz-quant-in-pack="{{QntInPack}}" value="0" class="price-input">
                        </div>
                    </aside>

                    <aside class="col-12 col-md-2 m-0 px-0 row mt-2 mt-md-0">
                        <!-- Order button -->
                        <div class="{{dispCart}}  matrix{{MatrixType}} w-100 mb-1 col-6 col-md-12">
                            <!-- Add to basket button -->
                            <a href="javascript:void(0);"
                               data-wiz-item-to-cart="{{urlItemKey}}"
                               data-wiz-packs-ctrl="{{PacksId}}"
                               data-wiz-quant-ctrl="{{QuantId}}"
                               data-wiz-check-quant="1"
                               data-wiz-item-row data-wiz-item-col
                               class="btn primary w-100 ">
                                הוספה לסל
                            </a>
                            <a href="<?php echo esc_url(wizshop_get_cart_url())?>" data-wiz-view-list='{{urlItemKey}}' class="v_ihide btn text-center w-100">הצגת סל</a>
							
                        </div>
						<!-- view item in case it's hash-tree -->
						<div class="w-100 col-6 col-md-12 hesh-cont lines-{{Status}}">
							<a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}" class="btn primary matrix w-100">בחירת אפשרויות</a>
						</div>
                        <!-- Wishlist -->
                        <div class="w-100 col-6 col-md-12">
                            <a href="javascript:void(0);" class="btn primary-outline w-100" data-wiz-list-action-item='{{urlItemKey}}' data-wiz-type='WL' data-wiz-item-row data-wiz-item-col data-wiz-action='2'data-wiz-status="|itemtocartstatus|2">לרשימת המשאלות</a>
                            <a href="<?php echo esc_url(wizshop_get_wish_list_url())?>" data-wiz-type='WL' data-wiz-view-list='{{urlItemKey}}'  data-wiz-status="|itemtocartstatus|15" class="v_ihide btn text-center w-100">הצגת רשימה</a>
                        </div>
                    </aside>
                </script>
                </div>
                <div class="clr"></div>
                <hr class="my-2">
            </article>
    </section>
</div>
<?php elseif ($wiz_products_view == 'lines'): ?>
<div data-wizshop data-wiz-grid="<?php echo esc_attr(wizshop_get_id_var())?>" data-wiz-filter="<?php echo esc_attr(wizshop_get_filter_var())?>" class="container-fluid products-lines">
    <input data-wiz-items-in-page type="hidden" value="<?php echo $wiz_items_in_page; ?>">
    <div data-wiz-container class="row">
        <!-- Each item -->
        <article data-wiz-item class="col-12 mb-2">
            <div data-wiz-item-data class="each-product">
			<script type="text/html">
                <!-- Product image -->
                <aside class="col-2 p-0 float-right">
                    <img src="<?php esc_url(wizshop_image_name_link("{{ImageFile}}","wiz_grid"))?>" alt="{{Name}}">
                    <!-- Discount label -->
                    <label class="v_iSale {{dispSale}} m-0 discount-label discount-label-rows"></label>
                </aside>

                <div class="col-10 float-left">
                    <header class="row m-0 mb-2">
                        <!-- Product title -->
                        <h4 class="p-0 m-0 product-title col"><a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}">{{Name}}</a></h4>
                        <span data-wiz-kit-item class="dsp-inlineblock pl-3">כמות בסל: <span data-wiz-quant-in-cart> {{QntInCart}} </span> </span>
                        <span data-wiz-item-balance class="text-left m-0 dsp-inlineblock">כמות: {{Balance}}</span>
						<!--<p class="v_iInCart {{inCart}}"></p>-->
                    </header>

                    <!-- Content -->
                    <section>
                      <div class="">מק"ט: {{Key}}</div>
                        <del data-wiz-item-full-price>{{FullPrice}}</del>
						  <strong data-wiz-item-price class="price-color">{{FormatedPrice}}</strong>
						  <span class="hide{{PreVat}} grid-vat">המחיר אינו כולל מע"מ</span>
                        <div class="product-description">
                            {{Description}}
                        </div>
                    </section>
                    <footer class="align-items-end dsp-flex justify-content-start m-0 mt-2 row">
                        <div data-wiz-matrix class=" col-lg-auto mb-2 ml-2">
                            <select data-wiz-dim-1 class="product-demselect">
                                <option data-wiz-no-item wiz_selection>{{mtxTitle1}}</option>
                                <option data-wiz-mtx-item >{{mtxName}}</option>
                            </select>
						
                            <select data-wiz-dim-2 class="product-demselect">
                                <option data-wiz-no-item wiz_selection>{{mtxTitle2}}</option>
                                <option data-wiz-mtx-item wiz_selection>{{mtxName}}</option>
                            </select>
                        </div>


                        <!-- Options -->
                        <div class="{{dispCart}}  matrix{{MatrixType}} text-center  col-lg-auto mb-2">
                            <div class="{{dispUnits}} row  m-0 ml-1">
                              <div>
							  <div class="dsp-block ml-2{{dispPacks}}">יחידות:</div>
                                <input type="number" wiz_QuantId="{{QuantId}}" data-wiz-packs-only="{{OnlyPacks}}" value="1" class=" price-input">
							</div>
								 <!-- By packages -->
							<div class="{{dispPacks}}">
								<p class="m-0 p-0">אריזות של {{QntInPack}}:</p>
								<input type="number" size="2" wiz_PacksId="{{PacksId}}" data-wiz-quant-in-pack="{{QntInPack}}" value="0" class="price-input">
							</div>
                            </div>
                            
                        </div>

                        <div class="{{dispCart}}  matrix{{MatrixType}} col-6 col-md-auto mb-2 ">
                            <!-- Add to basket button -->
                            <a href="javascript:void(0);"
                               data-wiz-item-to-cart="{{urlItemKey}}"
                               data-wiz-packs-ctrl="{{PacksId}}"
                               data-wiz-quant-ctrl="{{QuantId}}"
                               data-wiz-check-quant="1"
                               data-wiz-item-row data-wiz-item-col
                               class="btn primary">
                                הוספה לסל
                            </a>
                            <a href="<?php echo esc_url(wizshop_get_cart_url())?>" data-wiz-view-list='{{urlItemKey}}' class="v_ihide">הצגת סל</a>
                        </div>
						<div class="col-6 col-md-auto mb-2 hesh-cont lines-{{Status}} " >
							<a href="<?php echo esc_url(wizshop_get_products_url())?>{{Link}}" class="btn primary">בחירת אפשרויות</a>
						</div>
                        <div class="col-6 col-md-auto mb-2" >
                            <a href="javascript:void(0);" class="btn primary-outline" data-wiz-list-action-item='{{urlItemKey}}' data-wiz-type='WL' data-wiz-item-row data-wiz-item-col data-wiz-action='2'data-wiz-status="|itemtocartstatus|2">לרשימת המשאלות</a>
                            <a href="<?php echo esc_url(wizshop_get_wish_list_url())?>" data-wiz-type='WL' data-wiz-view-list='{{urlItemKey}}'  data-wiz-status="|itemtocartstatus|15" class="v_ihide">הצגת רשימה</a>
                        </div>

                    </footer>
                </div>
                <div class="clr"></div>
				
            </script>
            </div>
            <hr class="m-0 mt-2">
        </article>
    </div>
</div>
<?php endif; ?>
