<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
$view_op = wizshop_get_view_settings();
if(1 == $view_op['quick_view']): 
?>
<div class="quickview-lightbox" data-wizshop data-wiz-product id="wiz-item-q-view" >
	<div class="quickview-content">
		<div class="quickview-close-button">
			<a href="javascript:void(0);" class="p-2" data-wiz-item-close-view>
			<img src="<?php echo wizshop_img_file_url('close.svg')?>" class="svg-icon">
			</a>
		</div>
	
		<div class="quickview-item-wrapper">
		<div class="quickview-item justify-content-end row p-4" data-wiz-item-data>
				<script type="text/html">

				<aside class="col-md-4 col-sm-12 col-12" style="position: relative">
					<div class="each-product mb-2 row">
						<!-- Discount label -->
						<label class="v_iSale {{dispSale}} m-0 px-3 discount-label"></label>
						<!-- Main picture -->
						<a href="<?php esc_url(wizshop_image_name_link("{{ImageFile}}",""))?>">
							<img src="<?php esc_url(wizshop_image_name_link("{{ImageFile}}","wiz_product"))?>" alt="{{Name}}" class="w-100 p-2">
						</a>
					</div>
					<!-- Additional picture -->
					<div data-wiz-item-img-container class="row">
						<div data-wiz-item-img class="col-sm-6 col-md-4 p-2">
						<a href="<?php esc_url(wizshop_image_name_link("{{BigImageFile}}",""))?>">
							<img src="<?php esc_url(wizshop_image_name_link("{{BigImageFile}}","wiz_thumb"))?>" alt="{{Name}}">
						</a>
						</div>
					</div>
				</aside>


				<!-- Product details -->
				<section class="col-md-8 col-sm-12 col-12 mt-2 mt-sm-0">
					<header class="row">
						<!-- Title (desktop) -->
						<h1 class="col-12 hidden-xs">{{Name}}</h1>
						<!-- ID -->
						<div class="col-12 my-1 my-md-3"> מק"ט: {{ItemKey}} </div>
					</header>
					<div class="my-1 my-md-3">
					<del data-wiz-item-full-price class="dsp-inlineblock price-color">{{FullPrice}}</del>
					<strong data-wiz-item-price class="dsp-inlineblock price-color" >{{FormatedPrice}}</strong>
					<span class="hide{{PreVat}}">(לפני מע"מ)</span>
					</div>

					<div data-wiz-item-balance class="my-1 my-md-3">מלאי: {{Balance}} </div>
					

					<!-- Matrix -->
					<div class="my-1 my-md-3" data-wiz-matrix>
						<select data-wiz-dim-1 class="product-demselect">
							<option data-wiz-no-item>{{mtxTitle1}}</option>
							<option data-wiz-mtx-item wiz_selection>{{mtxName}}</option>
						</select>
						<select data-wiz-dim-2 class="product-demselect">
							<option data-wiz-no-item>{{mtxTitle2}}</option>
							<option data-wiz-mtx-item wiz_selection>{{mtxName}}</option>
						</select>
					</div>
				

				<!-- Packages -->
				
					<div class="my-1 my-md-3">
						<!-- Title -->
						<h5 class="w-100 mt-2 {{dispPacks}}">
							<img src="<?php echo wizshop_img_file_url('info.svg')?>" class="svg-icon info">
							פריט זה מגיע
							<span class="{{dispUnits}}">ביחידות ו</span>אריזות
						</h5>

						<!-- Each -->
						<span class="{{dispCart}} {{dispUnits}} py-2 dsp-inlineblock">
							<span class="ml-1">יחידות</span>
							<input type="number" size="2" wiz_QuantId="{{QuantId}}" data-wiz-packs-only="{{OnlyPacks}}" value="1" class="dsp-inlineblock price-input">
						</span>

						<!-- Packages -->
						<span class="{{dispCart}} {{dispPacks}} py-2 mx-2 dsp-inlineblock">
							<span class="ml-1">אריזות של {{QntInPack}}</span>
							<input type="number" size="2" wiz_PacksId="{{PacksId}}" data-wiz-quant-in-pack="{{QntInPack}}" value="0" class="dsp-inlineblock price-input">
						</span>
					</div>
					 <!-- Cart Remark -->
					 <div class="{{dispCart}} {{dispRemark}} my-1 my-md-3">	
						<div> הערה לפריט זה:  </div> 
						<input type="text" class="w-75" wiz_RemarkId="{{RemarkId}}" value="">
			  
					</div>
					<!-- Add to basket buttons -->
					<div class="my-2 my-md-3 {{dispCart}}  matrix{{MatrixType}}">
						<a href="javascript:void(0);" class="btn primary primary-outline" data-wiz-list-action-item='{{urlItemKey}}' data-wiz-type='FX' data-wiz-item-row data-wiz-item-col data-wiz-action='2' wiz_login data-wiz-status="single-item-msg|itemtofx|15">העברה לסל קבוע</a>
						<a href="javascript:void(0);" class="btn primary primary-outline"  data-wiz-list-action-item='{{urlItemKey}}' data-wiz-type='WL' data-wiz-item-row data-wiz-item-col data-wiz-action='2' data-wiz-status="single-item-msg|itemtowl|15"> העברה לרשימת המשאלות </a>
						<div class="visible-xs my-3"></div>
						<a href="javascript:void(0);" data-wiz-status="single-item-msg|add-to-cart|15" data-wiz-item-to-cart='{{urlItemKey}}' data-wiz-packs-ctrl="{{PacksId}}" data-wiz-quant-ctrl="{{QuantId}}" data-wiz-check-quant="1" data-wiz-remark-ctrl="{{RemarkId}}"  data-wiz-item-row data-wiz-item-col class="btn primary ">הוספת הפריט לסל </a>
						<a href="<?= esc_url(wizshop_get_cart_url())?>" data-wiz-view-list='{{urlItemKey}}'  class="v_ihide btn primary-outline">הצגת סל</a>
					</div>
			
					<!-- Description -->
					<div class="my-1 my-md-3">{{Description}}</div>
					
					<table class="col-12 p-0 my-1 my-md-3 properties-table">
						<thead>
						<tr data-wiz-prop-head>
							<th colspan="2">נתונים כלליים</th>
						</tr>
						</thead>

						<tbody data-wiz-item-prop-container="tab">
						<tr data-wiz-item-prop class="col-12">
							<td class="param">{{PropName}}</td>
							<td class="value">{{PropVal}}</td>
						</tr>
						</tbody>
					</table>
					
				</section>
					
				</script>
			</div>
		</div>
	</div>
</div>
<?php endif; ?>
