<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
?>
<div data-wiz-hash-report="acc" data-wizshop>
	<div class="row mb-3">
		<h3 data-wiz-cur-balance class="m-0 dsp-inlineblock"> <span class="cur-balance  p-2 dsp-inlineblock"> יתרה נוכחית: <span dir="ltr">{{CurrBalance}} </span></span> </h3>
	</div>
	
	<p class="mt-3 mb-1">סינון תוצאות לפי:</p>
	
	<div data-wiz-input class="row acc-boxes">
		<div  class="col-6 acc p-2">
			<div class="acc-title bb" id="DateTitle" onclick="openBox('Date')" >תאריך </div>
			<div class="acc-box py-2 " id="DateBox">
				<div >
					<span>החל מ - </span>
					<input id="acc_DateF" type="date" data-wiz-date data-wiz-date-format="yyyy-mm-dd"/>
				</div>
				<div >
					<span> עד - </span>
					<input id="acc_DateTo" type="date" data-wiz-date data-wiz-date-format="yyyy-mm-dd"/>
				</div>
			</div>
		</div>
		
		<div  class="col-6 acc p-2">
			<div class="acc-title bb" id="DueDateTitle" onclick="openBox('DueDate')">תאריך ערך </div>
			<div class="acc-box py-2" id="DueDateBox">
				<div >
					<span>החל מ -</span>
					<input id="acc_DueDateF" type="date"  data-wiz-date data-wiz-date-format="yyyy-mm-dd"/>
				</div>
				<div >
					<span> עד - </span>
					<input id="acc_DueDateTo" type="date" data-wiz-date  data-wiz-date-format="yyyy-mm-dd"/>
				</div>
			</div>
		</div>
		
		<div  class="col-6 acc p-2">
			<div class="acc-title bb" id="ReferenceTitle" onclick="openBox('Reference')">אסמכתא </div>
			<div class="acc-box py-2" id="ReferenceBox">
				<div >
					<span>החל מ -</span>
					<input id="acc_ReferenceF" type="number" min="0"  value="0"/>
				</div>
				<div >
					<span> עד - </span>
					<input id="acc_ReferenceTo" type="number" min="0" value="99999999"/>
				</div>
			</div>
		</div>
		<div  class="col-6 acc p-2">
			<div class="acc-title bb" id="Ref2Title" onclick="openBox('Ref2')">אסמכתא-2 </div>
			<div class="acc-box py-2" id="Ref2Box">
				<div >
					<span>החל מ -</span>
					<input id="acc_Ref2F" type="number" min="0"  value="0"/>
				</div>
				<div >
					<span> עד - </span>
					<input id="acc_Ref2To" type="number" min="0" value="99999999"/>
				</div>
			</div>
		</div>
		
		<div  class="col-6 acc p-2">
			<div class="acc-title bb" id="AmountTitle" onclick="openBox('Amount')">סכום בש"ח </div>
			<div class="acc-box py-2" id="AmountBox">
				<div >
					<span>החל מ -</span>
					<input id="acc_AmountF" type="number"  value="-99999999.99"/>
				</div>
				<div >
					<span> עד - </span>
					<input id="acc_AmountTo" type="number" min="0" value="99999999"/>
				</div>
			</div>
		</div>

	</div>

	<div class="row mt-3">
		<div class="col-md-12 row justify-content-between m-0">
			<div class="onlyopen p-2"> 
				<input id="onlyopen" value="1" data-wiz-open-trans type="checkbox"/> <label for="onlyopen">הצג רק תנועות פתוחות</label>
			</div>
			<div class="sortby p-2">
			מיון לפי:
				<select data-wiz-sort-method class="p-2"> 
					<option data-wiz-no-item>ברירת מחדל</option>
					<option data-wiz-sort-by>{{Name}}</option>
				</select>
			</div>
			<div class="buttons p-2">
				<a href="javascript:void(0);" data-wiz-issue-rep class="btn primary">הפקה</a>
				<a href="javascript:void(0);" class="btn ">הדפסה</a>
			</div>
		</div>
	</div>
	
	<div data-wiz-output data-wiz-status data-wiz-date-format="dd-mm-yyyy" >
		<div data-wiz-rep-info class="mt-3 mb-1">
			 נמצאו {{Total}} תנועות 
		</div>
		<div class="rep-table-container">
		<table class="rep-table">
			<thead data-wiz-rep-head>
				<tr>
					<th>{{h0}}</th>
					<th>{{h1}}</th>
					<th>{{h2}}</th>
					<th>{{h3}}</th>
					<th>{{h4}}</th>
					<th>{{h5}}</th>
					<th>{{h6}}</th>
				</tr>
			</thead>	
			<tbody data-wiz-rep-data class="ltr">
				<tr>
					<td>{{Date}}</td>
					<td>{{DueDate}}</td>
					<td>{{Reference}}</td>
					<td>{{Ref2}}</td>
					<td>{{Details}}</td>
					<td class="{{Type}}">{{Amount}}</td>
					<td>{{AccBalance}}</td>
				</tr>
			</tbody>
		</table>
		</div>
		
	</div>

</div>
<script type="text/javascript">
	function openBox(section) 
	{
		var sect = section;
		var box = document.getElementById(sect+"Box");
		if (box.style.display == 'flex'){
			document.getElementById(sect+"Box").style.display = 'none';
		}else{
			box.style.display = 'flex';
		}
	}
</script>